package com.ruoyi.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.base.mapper.BasePlcParamMapper;
import com.ruoyi.base.domain.BasePlcParam;
import com.ruoyi.base.service.IBasePlcParamService;

/**
 * PLC参数信息Service业务层处理
 * 
 * @author zangch
 * @date 2024-11-01
 */
@Service
public class BasePlcParamServiceImpl implements IBasePlcParamService 
{
    @Autowired
    private BasePlcParamMapper basePlcParamMapper;

    /**
     * 查询PLC参数信息
     * 
     * @param objId PLC参数信息主键
     * @return PLC参数信息
     */
    @Override
    public BasePlcParam selectBasePlcParamByObjId(Long objId)
    {
        return basePlcParamMapper.selectBasePlcParamByObjId(objId);
    }

    /**
     * 查询PLC参数信息列表
     * 
     * @param basePlcParam PLC参数信息
     * @return PLC参数信息
     */
    @Override
    public List<BasePlcParam> selectBasePlcParamList(BasePlcParam basePlcParam)
    {
        return basePlcParamMapper.selectBasePlcParamList(basePlcParam);
    }

    /**
     * 新增PLC参数信息
     * 
     * @param basePlcParam PLC参数信息
     * @return 结果
     */
    @Override
    public int insertBasePlcParam(BasePlcParam basePlcParam)
    {

        return basePlcParamMapper.insertBasePlcParam(basePlcParam);
    }

    /**
     * 修改PLC参数信息
     * 
     * @param basePlcParam PLC参数信息
     * @return 结果
     */
    @Override
    public int updateBasePlcParam(BasePlcParam basePlcParam)
    {
        return basePlcParamMapper.updateBasePlcParam(basePlcParam);
    }

    /**
     * 批量删除PLC参数信息
     * 
     * @param objIds 需要删除的PLC参数信息主键
     * @return 结果
     */
    @Override
    public int deleteBasePlcParamByObjIds(Long[] objIds)
    {
        return basePlcParamMapper.deleteBasePlcParamByObjIds(objIds);
    }

    /**
     * 删除PLC参数信息信息
     * 
     * @param objId PLC参数信息主键
     * @return 结果
     */
    @Override
    public int deleteBasePlcParamByObjId(Long objId)
    {
        return basePlcParamMapper.deleteBasePlcParamByObjId(objId);
    }
}
